Begin Main Content

Hola

No tengo ningun error en el codigo, pero cuando le doy al boton de Run para ver el resultado en el simulador de iPhone, me da el siguiente error:

"No provisioned iOS devices are available with a compatible iOS version. Connect an iOS device with a recent enough version of iOS to run your application or choose an iOS simulator as the destination."

Lo gracioso es que ayer si que funcionaba, y ahora que le he puesto mas botones para completar la primera tarea, me da este error.

Me podría alguien ayudar a entender lo que pasa y como solucionarlo?

Gracias

preguntado 26 Jun '12, 07:25

visualuk%40gmail.com's gravatar image

visualuk@gma...
56458
accept rate: 6%

editó 26 Jun '12, 09:16


Si alguien tiene el mismo problema, la solución que he encontrado es la siguiente.

En la barrita de arriba donde pone RPNCalculator > iOS Device Presionar con el cursor donde pone iOS Device, y os saldran las opciones de donde mandar el codigo, en este caso a tu simulador de iPhone.

Esta tonteria me ha dado un poco de dolor de cabeza, pero me alegra mucho el haber averiguado la solucion, y espero que la solución les sirva al resto de los newbies, que encuentren el mismo problema :-p

enlace permanente

respondido 26 Jun '12, 09:19

visualuk%40gmail.com's gravatar image

visualuk@gma...
56458
accept rate: 6%

Hola, ayer a mi me estaba dando un error parecido, la causa era que no le habia asignado una "accion" a mi boton en el controlador. Te puede ayudar que chequees que cada boton tiene su accion implementada en el controlador.

Saludos

enlace permanente

respondido 26 Jun '12, 08:34

vlandaverry%40gmail.com's gravatar image

vlandaverry@...
962
accept rate: 9%

Gracias por tu respuesta.

He mirado todos los botones y todos tienen una acción en el controlador .m

No se si ayudara el decir que el titulo del error dice: Xcode cannot run using the selected device

Lo que no entiendo es porque ayer funcionaba, y hoy no.

Quitare todos los botones otra vez y los pondré uno a uno, compilando después de cada adicción.

enlace permanente

respondido 26 Jun '12, 08:47

visualuk%40gmail.com's gravatar image

visualuk@gma...
56458
accept rate: 6%

Ok, me parece que he encontrado algo que podría dar una pista del porque no funciona.

Como estoy intentado guardar diferentes versiones del proyecto para no impactar el código que ya funciona con versiones nuevas, hice una copia del primer proyecto.

Cuando abro el proyecto v1 en Xcode en la parte de arriba a la izquierda pone: RPNCalculator > Simulator 5.1 Cuando abro el proyecto v2 en Xcode en la parte de arriba a la izquierda pone: RPNCalculator > iOS Device

Mi imagino que le tengo que decir el target de donde quiero mandar el código.

En el panel de la izquierda, en la parte de arriba (con el simbolo azul) donde pone RPNCalculator: le di a esta linea y en el panel de la derecha aparecen dos lineas una de project, y otra de Targets. En la linea de target tengo iPhone 5.1, version 1, build 1, pero todavia me da el mismo error.

Alguna sugerencia de como seguir?

Gracias

enlace permanente

respondido 26 Jun '12, 09:11

visualuk%40gmail.com's gravatar image

visualuk@gma...
56458
accept rate: 6%

Solo has click sobre donde dice "iOS Device" y selecciona al simulador de Iphone 5.1

(26 Jun '12, 09:20) cesclaveria@...
USTED DEBE ACCEDER AL SISTEMA PARA PODER RESPONDER O REALIZAR UNA PREGUNTA.

Seguir esta pregunta

Por Email:

Una vez que entres podrás suscribirte desde aquí para recibir actualizaciones

Por RSS:

Respuestas

Respuestas y Comentarios

Trucos del editor

  • *cursiva* o _cursiva_
  • **negrita** o __negrita__
  • enlace:[texto](http://url.com/ "Pregunta")
  • imagen?![alt texto](/path/img.jpg "Pregunta")
  • lista numerada: 1. Foo 2. Bar
  • Para añadir un salto de línea simplemente añade dos espacios donde desearías que estuviera el salto de línea.
  • se permite código HTML básico

Etiquetas de la pregunta:

×24
×24
×7
×1
×1

pregunta realizada: 26 Jun '12, 07:25

pregunta vista: 1,078 veces

última modificación: 26 Jun '12, 09:20